# MPI_Is_thread_main

## NAME

MPI_Is_thread_main − Determines if thread called MPI_Init

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Is_thread_main(int *flag)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_IS_THREAD_MAIN(FLAG, IERROR)

| LOGICAL |  |  | FLAG
| INTEGER |  |  | IERROR

## C++ Syntax

#include <mpi.h>
bool MPI::Is_thread_main()

## OUTPUT PARAMETERS

| flag |  | True if calling thread is main thread (boolean). |
| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

MPI_Is_thread_main is called by a thread to find out whether the caller is the main thread (that is, the thread that called MPI_Init or MPI_Init_thread).

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

See the MPI man page for a full list of MPI error codes.

## SEE ALSO

MPI_Init
MPI_Init_thread

MPI API Index